Delete Activities
PUT /ws/rest/service/v2/activity/sheet/manualactivities/
Available: 25.10 and later
Purpose
Delete activities within a manual activity sheet.
Prerequisites
Ensure you have:
Request Format
Send a request as a JSON map with the following structure:
{
"options":{
" project_number": "<value>",
"activitySheetName" : "<value>",
"removeUnreferencedData" : "<value>"
}
"data":[ {"activityIds": ["<value>", "<value>"]} ]
}
Request Parameters - Options JSON Map
Specify the following parameters in the Options JSON map:
| Request Parameter | Required? | Data Type | Description |
|---|---|---|---|
| project_number | Yes | String | A valid Unifier shell with an 'Active' status. |
| activitySheetName | Yes | String | Name of the manual activity sheet. |
| action | Yes | String | The action to be performed on the activities. Valid value includes: 'delete'. |
Request Parameters - Data JSON Map
Specify the following parameters in the Data JSON map:
| Request Parameter | Required? | Data Type | Description |
|---|---|---|---|
| activityIds | Yes | Array | An array of comma-separated activity IDs. For example, ["A1000", "A1010"] |
Response Format
A JSON object is returned in the following format:
{
"data": [],
"message": [<list of messages>],
"status": <REST status code value>,
"rest_audit_id": <id from the audit table>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Success Request
Send a request in the following format:
{
"options":{
"project_number" : "P-0001",
"activitySheetName" : "ManualSheet",
"actionType" : "delete"
},
"data" :{"activityIds":["A1000", "A1010"]
}
}
Sample Success Response
A successful response with status code 200 displays in the following format:
{
"data": [],
"message": ["Activities are deleted successfully."],
"rest_audit_id": 412,
"status": 200
}
Sample Failure Request
The following request includes an invalid manual activity sheet:
{
"options":{
"project_number" : "P-0001",
"activitySheetName" : "ManualSheet01",
"actionType" : "delete"
},
"data" :{
"activityIds":["A1000", "A1010"]
}
}
Sample Failure Response
The following response is returned for the above invalid request:
{
"data": [],
"message": [
"The API request contains an invalid value: [activitySheetName]. Please check if this activitySheetName with type=manual has been configured in Unifier."
],
"rest_audit_id": 412,
"status":12013
}
Supported Validation Messages and Status Codes
The following validation messages and status codes display in the response when incorrect values are provided in the request:
| Field Name | Use-case Scenario | Status Code | Error Message |
|---|---|---|---|
| project_number | project_number is not specified. | 12018 | Provide a project number to proceed. The field [project_number] is required. |
| project_number | project_number is invalid. | 602 | Project/Shell Number is not correct. |
| project_number | project_number is inactive. | 12020 | The project number [project_number] is currently inactive or on-hold . Verify its status in Unifier before proceeding. |
| project_number | project_number is empty or blank. | 12128 | The project number field is empty. Enter a valid project number. |
| activitySheetName | activitySheetName is not specified. | 12012 | Activity sheet name [activity_sheet_name] is missing from the request. |
| activitySheetName | activitySheetName is empty or null. | 12068 | Activity sheet name cannot be empty. If the activity_sheet_type=manual, then activity_sheet_name cannot be empty. |
| activitySheetName | activitySheetName value is a non-string data type. | 12025 | Invalid value was found in a field: [activitySheetName]. Allowed only alphanumeric value. |
| activitySheetName | activitySheetName exceeds 250 characters. | 12017 | Activity sheet name, [activitySheetName] , exceeds the maximum allowed length of [50] characters. |
| activitySheetName | activitySheetName does not exist. | 12013 | Activity sheet name, [activity_sheet_name] does not exist as a manual sheet in Unifier. Check if this name has been configured as a manual sheet in Unifier. |
| action | action is not specified in the request. | 12781 | The API request is missing the required information: [action]. |
| action | action is empty or null. | 12782 | The API request contains empty value for [action]. |
| action | action value is incorrect. | 12783 | Invalid value was found in a field [action]. Allowed value: [delete]. |
| activityIds | activityIds are missing. | 12784 | The API request is missing the required information: [activityIds]. |
| activityIds | Duplicate activityId. | 12787 | Duplicate Activity Ids found in field : [activityIds]. Activity Id: <Activity Id> |
| activityIds | activityId does not exist in the system for the Manual Activity Sheet. | 12786 | Invalid value was found in a field [activityIds]. Allowed Activity ID that already exists in Activity Sheet. ActvityIds ; <[Activity Ids]> |
| activityIds | The list of activityIds is empty. | 12785 | The API request contains empty value for [activityIds]. |